## Process this file with automake to produce Makefile.in

objects = docbk-refdblib.xsl docbk-refdblib-ns.xsl

EXTRA_DIST = $(objects)
noinst_DATA = docbk-refdblib.xsl docbk-refdblib-ns.xsl
MOSTLYCLEANFILES=docbk-refdblib-ns.xsl
MAINTAINERCLEANFILES = docbk-refdblib.xsl

install-data-local:
	$(mkinstalldirs) $(DESTDIR)$(pkgdatadir)/xsl/docbk-refdb-xsl/docbk-lib
	@for f in $(objects); do \
		$(INSTALL_DATA) $(srcdir)/$$f $(DESTDIR)$(pkgdatadir)/xsl/docbk-refdb-xsl/docbk-lib/$$f; \
	done

docbk-refdblib.xsl: $(top_srcdir)/scripts/libgen.pl
	$(top_srcdir)/scripts/libgen.pl -d > docbk-refdblib.xsl

docbk-refdblib-ns.xsl: docbk-refdblib.xsl $(top_srcdir)/scripts/xslns.pl
	$(top_srcdir)/scripts/xslns.pl -d < $(srcdir)/docbk-refdblib.xsl > docbk-refdblib-ns.xsl
